unit Unit1;

interface

uses
  SysUtils, 
  Generics.Collections, 
  Aurelius.Mapping.Attributes, 
  Aurelius.Types.Blob, 
  Aurelius.Types.DynamicProperties, 
  Aurelius.Types.Nullable, 
  Aurelius.Types.Proxy, 
  Aurelius.Criteria.Dictionary;

type
  Tschools = class;
  TschoolsTableDictionary = class;
  
  [Entity]
  [Table('schools')]
  [Id('Fid', TIdGenerator.None)]
  Tschools = class
  private
    [Column('id', [TColumnProp.Required])]
    Fid: Integer;
    
//    [Column('geom', [TColumnProp.NoInsert, TColumnProp.NoUpdate])]
//    Fgeom: Nullable<Variant>;
    
    [Column('objectid', [])]
    Fobjectid: Nullable<Integer>;
    
    [Column('fac_type', [], 6)]
    Ffac_type: Nullable<string>;
    
    [Column('l_fac_type', [], 25)]
    Fl_fac_type: Nullable<string>;
    
    [Column('name', [], 67)]
    Fname: Nullable<string>;
    
    [Column('address', [], 29)]
    Faddress: Nullable<string>;
    
    [Column('city', [], 16)]
    Fcity: Nullable<string>;
    
    [Column('zip', [], 5)]
    Fzip: Nullable<string>;
    
    [Column('strap', [], 17)]
    Fstrap: Nullable<string>;
    
    [Column('misc1', [], 9)]
    Fmisc1: Nullable<string>;
    
    [Column('misc2', [], 14)]
    Fmisc2: Nullable<string>;
    
    [Column('phone', [], 12)]
    Fphone: Nullable<string>;
    
    [Column('source', [], 40)]
    Fsource: Nullable<string>;
    
    [Column('x', [], 17)]
    Fx: Nullable<string>;
    
    [Column('y', [], 16)]
    Fy: Nullable<string>;
    
    [Column('usng', [], 18)]
    Fusng: Nullable<string>;
    
    [Column('editor_nam', [], 22)]
    Feditor_nam: Nullable<string>;
    
    [Column('edit_date', [])]
    Fedit_date: Nullable<TDateTime>;
    
    [Column('schoolzone', [], 5)]
    Fschoolzone: Nullable<string>;
    
    [Column('yearbuilt', [])]
    Fyearbuilt: Nullable<Integer>;
    
    [Column('stories', [])]
    Fstories: Nullable<Integer>;
    
    [Column('students', [])]
    Fstudents: Nullable<Integer>;
    
    [Column('yearestabl', [])]
    Fyearestabl: Nullable<Integer>;
  public
    property id: Integer read Fid write Fid;
//    property geom: Nullable<Variant> read Fgeom;
    property objectid: Nullable<Integer> read Fobjectid write Fobjectid;
    property fac_type: Nullable<string> read Ffac_type write Ffac_type;
    property l_fac_type: Nullable<string> read Fl_fac_type write Fl_fac_type;
    property name: Nullable<string> read Fname write Fname;
    property address: Nullable<string> read Faddress write Faddress;
    property city: Nullable<string> read Fcity write Fcity;
    property zip: Nullable<string> read Fzip write Fzip;
    property strap: Nullable<string> read Fstrap write Fstrap;
    property misc1: Nullable<string> read Fmisc1 write Fmisc1;
    property misc2: Nullable<string> read Fmisc2 write Fmisc2;
    property phone: Nullable<string> read Fphone write Fphone;
    property source: Nullable<string> read Fsource write Fsource;
    property x: Nullable<string> read Fx write Fx;
    property y: Nullable<string> read Fy write Fy;
    property usng: Nullable<string> read Fusng write Fusng;
    property editor_nam: Nullable<string> read Feditor_nam write Feditor_nam;
    property edit_date: Nullable<TDateTime> read Fedit_date write Fedit_date;
    property schoolzone: Nullable<string> read Fschoolzone write Fschoolzone;
    property yearbuilt: Nullable<Integer> read Fyearbuilt write Fyearbuilt;
    property stories: Nullable<Integer> read Fstories write Fstories;
    property students: Nullable<Integer> read Fstudents write Fstudents;
    property yearestabl: Nullable<Integer> read Fyearestabl write Fyearestabl;
  end;
  
  TDicDictionary = class
  private
    Fschools: TschoolsTableDictionary;
    function Getschools: TschoolsTableDictionary;
  public
    destructor Destroy; override;
    property schools: TschoolsTableDictionary read Getschools;
  end;
  
  TschoolsTableDictionary = class
  private
    Fid: TDictionaryAttribute;
//    Fgeom: TDictionaryAttribute;
    Fobjectid: TDictionaryAttribute;
    Ffac_type: TDictionaryAttribute;
    Fl_fac_type: TDictionaryAttribute;
    Fname: TDictionaryAttribute;
    Faddress: TDictionaryAttribute;
    Fcity: TDictionaryAttribute;
    Fzip: TDictionaryAttribute;
    Fstrap: TDictionaryAttribute;
    Fmisc1: TDictionaryAttribute;
    Fmisc2: TDictionaryAttribute;
    Fphone: TDictionaryAttribute;
    Fsource: TDictionaryAttribute;
    Fx: TDictionaryAttribute;
    Fy: TDictionaryAttribute;
    Fusng: TDictionaryAttribute;
    Feditor_nam: TDictionaryAttribute;
    Fedit_date: TDictionaryAttribute;
    Fschoolzone: TDictionaryAttribute;
    Fyearbuilt: TDictionaryAttribute;
    Fstories: TDictionaryAttribute;
    Fstudents: TDictionaryAttribute;
    Fyearestabl: TDictionaryAttribute;
  public
    constructor Create;
    property id: TDictionaryAttribute read Fid;
//    property geom: TDictionaryAttribute read Fgeom;
    property objectid: TDictionaryAttribute read Fobjectid;
    property fac_type: TDictionaryAttribute read Ffac_type;
    property l_fac_type: TDictionaryAttribute read Fl_fac_type;
    property name: TDictionaryAttribute read Fname;
    property address: TDictionaryAttribute read Faddress;
    property city: TDictionaryAttribute read Fcity;
    property zip: TDictionaryAttribute read Fzip;
    property strap: TDictionaryAttribute read Fstrap;
    property misc1: TDictionaryAttribute read Fmisc1;
    property misc2: TDictionaryAttribute read Fmisc2;
    property phone: TDictionaryAttribute read Fphone;
    property source: TDictionaryAttribute read Fsource;
    property x: TDictionaryAttribute read Fx;
    property y: TDictionaryAttribute read Fy;
    property usng: TDictionaryAttribute read Fusng;
    property editor_nam: TDictionaryAttribute read Feditor_nam;
    property edit_date: TDictionaryAttribute read Fedit_date;
    property schoolzone: TDictionaryAttribute read Fschoolzone;
    property yearbuilt: TDictionaryAttribute read Fyearbuilt;
    property stories: TDictionaryAttribute read Fstories;
    property students: TDictionaryAttribute read Fstudents;
    property yearestabl: TDictionaryAttribute read Fyearestabl;
  end;
  
function Dic: TDicDictionary;

implementation

var
  __Dic: TDicDictionary;

function Dic: TDicDictionary;
begin
  if __Dic = nil then __Dic := TDicDictionary.Create;
  result := __Dic
end;

{ TDicDictionary }

destructor TDicDictionary.Destroy;
begin
  if Fschools <> nil then Fschools.Free;
  inherited;
end;

function TDicDictionary.Getschools: TschoolsTableDictionary;
begin
  if Fschools = nil then Fschools := TschoolsTableDictionary.Create;
  result := Fschools;
end;

{ TschoolsTableDictionary }

constructor TschoolsTableDictionary.Create;
begin
  inherited;
  Fid := TDictionaryAttribute.Create('id');
//  Fgeom := TDictionaryAttribute.Create('geom');
  Fobjectid := TDictionaryAttribute.Create('objectid');
  Ffac_type := TDictionaryAttribute.Create('fac_type');
  Fl_fac_type := TDictionaryAttribute.Create('l_fac_type');
  Fname := TDictionaryAttribute.Create('name');
  Faddress := TDictionaryAttribute.Create('address');
  Fcity := TDictionaryAttribute.Create('city');
  Fzip := TDictionaryAttribute.Create('zip');
  Fstrap := TDictionaryAttribute.Create('strap');
  Fmisc1 := TDictionaryAttribute.Create('misc1');
  Fmisc2 := TDictionaryAttribute.Create('misc2');
  Fphone := TDictionaryAttribute.Create('phone');
  Fsource := TDictionaryAttribute.Create('source');
  Fx := TDictionaryAttribute.Create('x');
  Fy := TDictionaryAttribute.Create('y');
  Fusng := TDictionaryAttribute.Create('usng');
  Feditor_nam := TDictionaryAttribute.Create('editor_nam');
  Fedit_date := TDictionaryAttribute.Create('edit_date');
  Fschoolzone := TDictionaryAttribute.Create('schoolzone');
  Fyearbuilt := TDictionaryAttribute.Create('yearbuilt');
  Fstories := TDictionaryAttribute.Create('stories');
  Fstudents := TDictionaryAttribute.Create('students');
  Fyearestabl := TDictionaryAttribute.Create('yearestabl');
end;

initialization
  RegisterEntity(Tschools);

finalization
  if __Dic <> nil then __Dic.Free

end.
